# BuildingMoreDense

You can build the miners, splitters, water pumps and other buildings more dense, by decresing the collide boxes when building. 

The mod already support these mods: SmelterMiner, AdvancedMiner

In addition, you can add more buildings in config files, to decrease their collide boxes, which allows you to build them more densely. *Any other mods* which create new buildings can be supported, after you added the new IDs into the config file.

### Installation

1. Install BepInEx.  
2. Install LDBTool.  
3. Drag BuildingMoreDense.dll into "Dyson Sphere Program/BepInEx/plugins/"  

### Changelog

v1.0.3: Now you can set a second Building Group in which the buildings' collision box can be set different from the default group in the lower version. Besides, the buildings in this group will be more easy to select. Mining machines are in this group by default. 0.3 is the default Group2Ratio.

Known issue: the 2nd&3rd form splitter (switching by tab) cannot be densely built.

# 更密集的建造

通过减少建筑建造时的碰撞体积，你可以更密集地建造的采矿机、四向分流器、抽水机等建筑。

此mod已支持：SmelterMiner，AdvancedMiner

此外，通过修改config配置文件，你可以自由添加建筑的ID使得他们的建造碰撞体积减小，以此来使得更多类型的建筑可以彼此距离更近。任何*其他mod*创造的物品都可以通过这种方式添加支持。


### 安装

1. 安装 BepInEx框架.   
2. 安装LDBTool.  
3. 将BuildingMoreDense.dll放入 "Dyson Sphere Program/BepInEx/plugins/"文件夹内  

### 更新

v1.0.3: 现在你可以设定一个第二组的建筑，他们的碰撞体积系数可以与老版本默认的第一组建筑不同。并且这组中的建筑会更容易被选中。矿机被默认地放到了这组建筑中。0.3是这个第二组的默认比例。

已知问题：使用tab切换后的两种四向分流器无法被更密集地建造。